com.google.gwt.i18n.client.constants

## Interface NumberConstantsImpl

- All Superinterfaces:
    Constants, Localizable, LocalizableResource, NumberConstants

      public interface NumberConstantsImpl
      extends Constants, NumberConstants

  NumberConstantsImpl class encapsulate a collection of Number formatting symbols for use with Number format and parse services. This class extends GWT's Constants class. The actual symbol collections are defined in a set of property files named like "NumberConstants_xx.properties". GWT will will perform late binding to the property file that specific to user's locale.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.Constants

      `Constants.DefaultBooleanValue, Constants.DefaultDoubleValue, Constants.DefaultFloatValue, Constants.DefaultIntValue, Constants.DefaultStringArrayValue, Constants.DefaultStringMapValue, Constants.DefaultStringValue`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.LocalizableResource

      `LocalizableResource.DefaultLocale, LocalizableResource.Description, LocalizableResource.Generate, LocalizableResource.GeneratedFrom, LocalizableResource.GenerateKeys, LocalizableResource.Key, LocalizableResource.Meaning`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `currencyPattern()`
    `java.lang.String` | `decimalPattern()`
    `java.lang.String` | `decimalSeparator()`
    `java.lang.String` | `defCurrencyCode()`
    `java.lang.String` | `exponentialSymbol()`
    `java.lang.String` | `globalCurrencyPattern()`
    `java.lang.String` | `groupingSeparator()`
    `java.lang.String` | `infinity()`
    `java.lang.String` | `minusSign()`
    `java.lang.String` | `monetaryGroupingSeparator()`
    `java.lang.String` | `monetarySeparator()`
    `java.lang.String` | `notANumber()`
    `java.lang.String` | `percent()`
    `java.lang.String` | `percentPattern()`
    `java.lang.String` | `perMill()`
    `java.lang.String` | `plusSign()`
    `java.lang.String` | `scientificPattern()`
    `java.lang.String` | `simpleCurrencyPattern()`
    `java.lang.String` | `zeroDigit()`

- - ### Method Detail

    - #### notANumber

          java.lang.String notANumber()

      Specified by:
        `notANumber` in interface `NumberConstants`

    - #### currencyPattern

          java.lang.String currencyPattern()

      Specified by:
        `currencyPattern` in interface `NumberConstants`

    - #### decimalPattern

          java.lang.String decimalPattern()

      Specified by:
        `decimalPattern` in interface `NumberConstants`

    - #### decimalSeparator

          java.lang.String decimalSeparator()

      Specified by:
        `decimalSeparator` in interface `NumberConstants`

    - #### defCurrencyCode

          java.lang.String defCurrencyCode()

      Specified by:
        `defCurrencyCode` in interface `NumberConstants`

    - #### exponentialSymbol

          java.lang.String exponentialSymbol()

      Specified by:
        `exponentialSymbol` in interface `NumberConstants`

    - #### globalCurrencyPattern

          java.lang.String globalCurrencyPattern()

      Specified by:
        `globalCurrencyPattern` in interface `NumberConstants`

    - #### groupingSeparator

          java.lang.String groupingSeparator()

      Specified by:
        `groupingSeparator` in interface `NumberConstants`

    - #### infinity

          java.lang.String infinity()

      Specified by:
        `infinity` in interface `NumberConstants`

    - #### minusSign

          java.lang.String minusSign()

      Specified by:
        `minusSign` in interface `NumberConstants`

    - #### monetaryGroupingSeparator

          java.lang.String monetaryGroupingSeparator()

      Specified by:
        `monetaryGroupingSeparator` in interface `NumberConstants`

    - #### monetarySeparator

          java.lang.String monetarySeparator()

      Specified by:
        `monetarySeparator` in interface `NumberConstants`

    - #### percent

          java.lang.String percent()

      Specified by:
        `percent` in interface `NumberConstants`

    - #### percentPattern

          java.lang.String percentPattern()

      Specified by:
        `percentPattern` in interface `NumberConstants`

    - #### perMill

          java.lang.String perMill()

      Specified by:
        `perMill` in interface `NumberConstants`

    - #### plusSign

          java.lang.String plusSign()

      Specified by:
        `plusSign` in interface `NumberConstants`

    - #### scientificPattern

          java.lang.String scientificPattern()

      Specified by:
        `scientificPattern` in interface `NumberConstants`

    - #### simpleCurrencyPattern

          java.lang.String simpleCurrencyPattern()

      Specified by:
        `simpleCurrencyPattern` in interface `NumberConstants`

    - #### zeroDigit

          java.lang.String zeroDigit()

      Specified by:
        `zeroDigit` in interface `NumberConstants`